#include <bits/stdc++.h>
using namespace std;
bool snt(long a)
{
    long dem=0;
    for(long i=1;i<a;i++){
        if(a%i==0){
            dem++;
        }
    }
    if(dem==1){
        return true;
    }
    if(dem!=1){
        return false;
    }
}
int main()
{
    ifstream f1("demnt.inp");
    ofstream f2("demnt.out");
    long kq=0;
    long n;
    f1>>n;
    long a[100000];
    for(long i=0;i<n;i++){
        f1>>a[i];
        if(snt(a[i])==true){
            kq++;
        }
    }
    f2<<kq;
    return 0;
}
